********************************************************************************
*                                                                              *
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### blas_ymp ###
c
c     Interface to Cray BLAS routines: scopy, saxpy, sscal, sdot
c
      subroutine  dcopy(n,dx,ix,dy,iy)
      real*8  dx(*),dy(*)
      integer*4 ix,iy,n

      call scopy(n,dx,ix,dy,iy)
      return
      end

      subroutine  daxpy(n,da,dx,ix,dy,iy)
      real*8 da,dx(*),dy(*)
      integer*4 ix,iy,n

      call saxpy(n,da,dx,ix,dy,iy)
      return
      end

      subroutine  dscal(n,da,dx,ix)
      real*8 da,dx(*)
      integer*4 ix,n

      call sscal(n,da,dx,ix)
      return
      end

      function  ddot(n,dx,ix,dy,iy)
      real*8  dx(*),dy(*),ddot
      integer*4  ix,iy,n

      ddot=sdot(n,dx,ix,dy,iy)
      return
      end





